// Setup logger
var concat = (...arguments) => {
	var str = "";
	arguments.forEach((item) => {
		str = str + " " + item;
	});
	return str.trim();
};

var log = (...arguments) => {
	console.log("%c" + "[Bridge][JS] " + concat(...arguments), "color: #00A9DA");
};

// Initialize bridge
if (window.bridge === undefined) {
	log("This bridge does not work standalone. It's not a bridge if it only connects one side.");
} else {
	let viewer = document.getElementById('viewer');

	viewer.addEventListener("initialized", (e) => {
		log("Received application initialized");
		window.bridge.markInitialized();
	});

    // Create an element on the page which we can access from Java. We cannot reuse window.bridge, as it immediately redirects back to Java
	// (eg. from Java, call window.bridge in JS, then JXBrowser redirects it back to Java. Not what we want.
	let receiveBridge = document.createElement('div');
	receiveBridge.id = viewer.id + "-bridge-receive";
	receiveBridge.style.display = "none";
 	viewer.appendChild(receiveBridge);

	receiveBridge.addEventListener("startCall", (e) => {
		log("Received startCall");
		viewer.dispatchEvent(new CustomEvent("startCall", {detail: {}}));
	});

	log("Initialized");
}